### Method

# Cogl MatrixEntry is_identity

#### Declaration [src]

    gboolean
    cogl_matrix_entry_is_identity (
      CoglMatrixEntry* entry
    )

#### Description [src]

Determines whether `entry` is known to represent an identity transform.

If this returns `TRUE` then the entry is definitely the identity matrix. If it returns `FALSE` it may or may not be the identity matrix but no expensive comparison is performed to verify it.

#### Return value

Type: `gboolean`

`TRUE` if `entry` is definitely an identity transform, otherwise `FALSE`.